#include "LooseZone.hpp"

#include "Ball.hpp"
#include "Extra.hpp"
#include "Game.hpp"


LooseZone::LooseZone(Game *g, CollisionModel p_cm):
Entity(g)
{
	cm=p_cm;
}

void LooseZone::onTouch(Entity* Toucher)
{
	if(dynamic_cast<Ball*>(Toucher) || dynamic_cast<Extra*>(Toucher))
	{
		manager->markToRemove(Toucher);
		game->PlaySound("lose");
	}
}